| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::ConnectionManagerLowlevel Class Reference
Connection manager proxies

The ConnectionManagerLowlevel class extends ConnectionManager with support to low-level features. More...

`#include <TelepathyQt/ConnectionManagerLowlevel>`

Inherits Tp::RefCounted.

List of all members.

## Public Member Functions

- ~ConnectionManagerLowlevel ()
- bool isValid () const
- ConnectionManagerPtr connectionManager () const
- PendingConnection * requestConnection (const QString &protocolName, const QVariantMap &parameters)

## Detailed Description

The ConnectionManagerLowlevel class extends ConnectionManager with support to low-level features.

## Constructor & Destructor Documentation

Tp::ConnectionManagerLowlevel::~ConnectionManagerLowlevel | ( |  | ) |

## Member Function Documentation

bool Tp::ConnectionManagerLowlevel::isValid | ( |  | ) | const

ConnectionManagerPtr Tp::ConnectionManagerLowlevel::connectionManager | ( |  | ) | const

PendingConnection * Tp::ConnectionManagerLowlevel::requestConnection | ( | const QString & | protocol,
|  | const QVariantMap & | parameters
| ) |  |

Request a Connection object representing a given account on a given protocol with the given parameters.

Return a pending operation representing the Connection object which will succeed when the connection has been created or fail if an error occurred.

Parameters:

  protocol | Name of the protocol to create the account for.
  parameters | Account parameters.

Returns:
  A PendingOperation which will emit PendingConnection::finished when the account has been created of failed its creation process.